package com.steerinfo.dil.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface ShipDynamicsMapper {
    //查询船舶动态表
    List<Map<String, Object>> selectAll(Map<String,Object> map);
    List<Map<String, Object>> selectByshipName(String shipName, String materialName);

    List<Map<String, Object>> getLoadData(Map<String,Object> map);

    List<Map<String, Object>> getUnloadData(Map<String,Object> map);

    List<Map<String, Object>> getLocationData(Map<String,Object> map);

    List<Map<String, Object>> getDownShipDynamaics(Map<String,Object> map);

    Map<String,Object> getPleaseData(Map<String,Object> map);

    BigDecimal getRealNumberMonth(Map<String,Object> map);
}
