package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmsshipControlLine;

import java.util.List;
import java.util.Map;

public interface IShipDynamicsService {

    //
    List<Map<String, Object>> selectAll(Map<String,Object> map);
    //通过外轮船名，物资名称查询视图中的江船状态数据
    List<Map<String, Object>> selectByshipName(String shipName, String materialName);

    List<Map<String, Object>> getLoadData(Map<String,Object> map);

    List<Map<String, Object>> getUnloadData(Map<String,Object> map);

    List<Map<String, Object>> getDownShipDynamaics(Map<String,Object> map);

    List<Map<String, Object>> getWagonWork(Map<String, Object> map);

    List<Map<String,Object>> getControlLines(Map<String, Object> map);

    int updateControlLine(TmsshipControlLine result);

    List<List<Map<String,Object>>> getControlLinesTable(Map<String, Object> map);
}
